## NAME

           grdimage  -  Create  grayshaded  or colored image from a 2-D netCDF grd
           file

## SYNOPSIS

           grdimage grd_z | grd_r grd_g grd_b -Ccptfile -Jparameters [  -Btickinfo
           ]  [ -Ei|dpi ] [ -G[f|b]rgb ] [ -Iintensfile] [ -K ] [ -M ] [ -O ] [ -P
           ]  [  -Q  ]  [  -Rwest/east/south/north[r]  ]  [  -Ssearch_radius  ]  [
           -T[s][o[pen]]  ]  [  -U[/dx/dy/][label]  ] [ -V  ] [ -Xx-shift ] [ -Yy-
           shift ] [ -ccopies ]

## DESCRIPTION

           grdimage reads one 2-D gridded file and produces a gray-shaded (or col-
           ored)  map by assigning each z-value a gray-shade (or color).  Alterna-
           tively, grdimage reads three 2-D gridded files with the red, green, and
           blue  components directly (all must be in the 0-255 range). Optionally,
           illumination may be added by providing a file with intensities  in  the
           (-1,+1)  range. Values outside this range will be clipped.  Such inten-
           sity files can be created from the grdfile using grdgradient and  modi-
           fied  by  grdmath or grdhisteq. Each grid-node in the grdfile is repre-
           sented as a shaded (or colored) rectangle centered on  the  grid  node.
           When  using map projections, the grid is first resampled on a new rect-
           angular grid (This can be  a  time-consuming  process  for  large  grid
           files;  but  see  -T).   A 24-bit true color PostScript file is output.
           The region option can be used to select a map region larger or  smaller
           than that implied by the extent of the grdfile.

           grd_z | grd_r grd_g grd_b
                  2-D gridded data set (or red, green, blue grids) to be imaged

           -C     name of the color palette table (for grd_z only).

           -J     Selects  the  map  projection. Scale is UNIT/degree, 1:xxxxx, or
                  width in UNIT (upper case modifier).  UNIT is cm,  inch,  or  m,
                  depending on the MEASURE_UNIT setting in .gmtdefaults4, but this
                  can be overridden on the command line by appending c, i, or m to
                  the  scale/width  value.   For map height, max dimension, or min
                  dimension, append h, +, or - to the width, respectively.

                  CYLINDRICAL PROJECTIONS:

                  -Jclon0/lat0/scale (Cassini)
                  -Jjlon0/scale (Miller)
                  -Jmscale (Mercator - Greenwich and Equator as origin)
                  -Jmlon0/lat0/scale (Mercator - Give meridian and standard paral-
                  lel)
                  -Joalon0/lat0/azimuth/scale   (Oblique   Mercator  -  point  and
                  azimuth)
                  -Joblon0/lat0/lon1/lat1/scale (Oblique Mercator - two points)
                  -Joclon0/lat0/lonp/latp/scale  (Oblique  Mercator  -  point  and
                  pole)
                  -Jqlon0/scale  (Equidistant  Cylindrical  Projection (Plate Car-
                  ree))
                  -Jtlon0/scale (TM - Transverse Mercator, with Equator as y = 0)
                  -Jtlon0/lat0/scale (TM - Transverse Mercator, set origin)
                  -Juzone/scale (UTM - Universal Transverse Mercator)
                  -Jylon0/lats/scale (Basic Cylindrical Projection)

                  AZIMUTHAL PROJECTIONS:

                  -Jalon0/lat0/scale (Lambert).
                  -Jelon0/lat0/scale (Equidistant).
                  -Jflon0/lat0/horizon/scale (Gnomonic).
                  -Jglon0/lat0/scale (Orthographic).
                  -Jslon0/lat0/[slat/]scale (General Stereographic)

                  CONIC PROJECTIONS:

                  -Jblon0/lat0/lat1/lat2/scale (Albers)
                  -Jdlon0/lat0/lat1/lat2/scale (Equidistant)
                  -Jllon0/lat0/lat1/lat2/scale (Lambert)

                  MISCELLANEOUS PROJECTIONS:

                  -Jhlon0/scale (Hammer)
                  -Jilon0/scale (Sinusoidal)
                  -Jk[f|s]lon0/scale (Eckert IV (f) and VI (s))
                  -Jnlon0/scale (Robinson)
                  -Jrlon0/scale (Winkel Tripel)
                  -Jvlon0/scale (Van der Grinten)
                  -Jwlon0/scale (Mollweide)

                  NON-GEOGRAPHICAL PROJECTIONS:

                  -Jp[a]scale[/origin] (polar (theta,r)  coordinates,  optional  a
                  for azimuths and offset theta [0])
                  -Jxx-scale[l|ppow][/y-scale[l|ppow]][d]  (Linear, log, and power
                  scaling)
                  More details can be found in the psbasemap man pages.

## OPTIONS

           No space between the option flag and the associated arguments.

           -B     Sets map boundary annotation and  tickmark  intervals;  see  the
                  psbasemap man page for all the details.

           -E     Sets  the  resolution of the projected grid that will be created
                  if a map projection other than Linear or Mercator was  selected.
                  By  default,  the  projected grid will be of the same size (rows
                  and columns) as the input file. Specify i to use the  PostScript
                  image  operator  to  interpolate the image at the device resolu-
                  tion.

           -G     This option only applies  when  the  resulting  image  otherwise
                  would  consist of only two colors: black (0) and white (255). If
                  so, this option will instead use the image as a transparent mask
                  and  paint  the  mask  (or its inverse, with -Gb) with the given
                  color combination.

           -I     Gives the name of a grdfile  with  intensities  in  the  (-1,+1)
                  range. [Default is no illumination].

           -K     More  PostScript code will be appended later [Default terminates
                  the plot system].

           -M     Force conversion to monochrome image using the (television)  YIQ
                  transformation.

           -O     Selects  Overlay  plot mode [Default initializes a new plot sys-
                  tem].

           -P     Selects Portrait plotting mode [GMT Default  is  Landscape,  see
                  gmtdefaults to change this].

           -Q     Mask  out  nodes  with z = NaN using the colormasking feature in
                  PostScript Level 3 (the PS device must support PS Level 3).

           -R     xmin, xmax, ymin, and ymax specify the Region of  interest.  For
                  geographic  regions,  these  limits  correspond  to  west, east,
                  south, and north and you may specify them in decimal degrees  or
                  in  [+-]dd:mm[:ss.xxx][W|E|S|N]  format.  Append r if lower left
                  and upper right map coordinates are given instead of  wesn.  The
                  two  shorthands  -Rg  -Rd  stand  for  global  domain  (0/360 or
                  -180/+180 in longitude respectively, with -90/+90 in  latitude).
                  For  calendar time coordinates you may either give relative time
                  (relative  to  the  selected  TIME_EPOCH  and  in  the  selected
                  TIME_UNIT;  append  t  to  -JX|x),  or absolute time of the form
                  [date]T[clock] (append T to -JX|x). At least  one  of  date  and
                  clock must be present; the T is always required. The date string
                  must be of the form [-]yyyy[-mm[-dd]]  (Gregorian  calendar)  or
                  yyyy[-Www[-d]]  (ISO week calendar), while the clock string must
                  be of the form hh:mm:ss[.xxx]. The use of delimiters  and  their
                  type  and  positions must be as indicated (however, input/output
                  and plotting formats are flexible).  You may ask  for  a  larger
                  w/e/s/n region to have more room between the image and the axes.
                  A smaller region than specified in the grdfile will result in  a
                  subset of the grid [Default is region given by the grdfile].

           -S     Set  the  search  radius  for  the  averaging procedure [Default
                  avoids aliasing].

           -T     Plot image without any interpolation. This  involves  converting
                  each node-centered bin into a polygon which is then painted sep-
                  arately. Append s to skip nodes with z =  NaN.  This  option  is
                  useful  for  categorical data where interpolating between values
                  is meaningless. Optionally, append o to draw the tile  outlines,
                  and  specify a custom pen if the default pen is not to your lik-
                  ing.

           -U     Draw Unix System time stamp on plot. User may specify where  the
                  lower  left corner of the stamp should fall on the page relative
                  to lower left corner of plot. Optionally, append a label,  or  c
                  (which  will  plot  the  command  string.).  The  GMT parameters
                  UNIX_TIME and UNIX_TIME_POS can affect the appearance;  see  the
                  gmtdefaults man page for details.

           -V     Selects verbose mode, which will send progress reports to stderr
                  [Default runs "silently"].

           -X -Y  Shift origin of plot by (x-shift,y-shift).  Prepend a for  abso-
                  lute  coordinates; the default (r) will reset plot origin.  Give
                  c to center plot using current page size.

           -c     Specifies the number of plot copies. [Default is 1].

## EXAMPLES

           To gray-shade the file hawaii_grav.grd with shades given in  shades.cpt
           on  a  Lambert map at 1.5 cm/degree along the standard parallels 18 and
           24, and using 1 degree tickmarks:

           grdimage   hawaii_grav.grd    -Jl18/24/1.5c    -Cshades.cpt    -B1    >
           hawaii_grav_image.ps

           To  create an illuminated color PostScript plot of the gridded data set
           image.grd, using the intensities provided by the file  intens.grd,  and
           color  levels in the file colors.cpt, with linear scaling at 10 inch/x-
           unit, tickmarks every 5 units:

           grdimage image.grd -Jx10i -Ccolors.cpt -Iintens.grd -B5 > image.ps

           To create an false color PostScript plot from the three  gridded  files
           red.grd,  green.grd,  and  blue.grd,  with linear scaling at 10 inch/x-
           unit, tickmarks every 5 units:

           grdimage red.grd green.grd blue.grd -Jx10i -B5 > rgbimage.ps

## SEE ALSO

           gmt(l), gmt2rgb(l), grdcontour(l), grdview(l), grdgradient(l),  grdhis-
           teq(l)

    GMT4.0                            1 Oct 2004                       GRDIMAGE(l)